Mobile to Profile

A Name Lookup API that allows users or applications to look up the owner’s name associated with a given phone number. These APIs are used in cases where you need to verify the identity of a caller, enhance user profiles, or validate the legitimacy of phone numbers.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Header Parameters

NameTypeDescriptionMandatory (M) , Optional (O)Provided by INSTANTPAY (Y/N)
X-Ipay-Auth-CodeStringAuth Code is "1" (Fixed)MY
X-Ipay-Client-IdStringUnique Client Id Provided by InstantpayMY
X-Ipay-Client-SecretStringUnique Client Secret Provided by InstantpayMY
X-Ipay-Endpoint-IpStringEnd customer IP AddressMY

Request Parameters

Parameter NameTypeRequirementDescription
mobileNumberStringMandatoryUser Mobile Number
firstNameStringMandatoryFirst name of the user
lastNameStringMandatoryLast name of the user
externalRefStringMandatoryYour Unique Transaction id
latitudeStringMandatoryEnd Customer Latitude.
longitudeStringMandatoryEnd Customer Longitude

Sample Request

curl --location 'https://api.instantpay.in/identity/mobile/dataLookup' \
--header 'X-Ipay-Auth-Code: 1' \
--header 'X-Ipay-Client-Id: {{clientId}}' \
--header 'X-Ipay-Client-Secret: {{clientSecret}}' \
--header 'X-Ipay-Endpoint-Ip: 14.142.186.142' \
--header 'Content-Type: application/json' \
--data '{
"mobileNumber": "9876543210",
"firstName" : "John",
"lastName" : "Doe",
"externalRef": "1758870994",
"latitude": 0.99,
"longitude": 38
}'
POST /identity/mobile/dataLookup HTTP/1.1
Host: api.instantpay.in
X-Ipay-Auth-Code: 1
X-Ipay-Client-Id: {{clientId}}
X-Ipay-Client-Secret: {{clientSecret}}
X-Ipay-Endpoint-Ip: 14.142.186.142
Content-Type: application/json
Content-Length: 139

{
"mobileNumber": "9876543210",
"firstName" : "John",
"lastName" : "Doe",
"externalRef": "1758870994",
"latitude": 0.99,
"longitude": 38
}

Response Parameters

Parameter NameTypeDescription
statuscodeStringInstantpay Status Code
actcodeStringAction Code
statusArrayStatus message
dataStringResponse Data(if Present)
timestampStringResponse time (YYYY-MM-DD HH:II:SS)
ipay_uuidStringRequest reference number
orderidStringTransaction Id(if transaction otherwise it is null)
environmentStringLive/Sandbox
internalCodeStringIt will be null

Sample Response

{
    "statuscode": "TXN",
    "actcode": null,
    "status": "Transaction Successful",
    "data": {
        "result": {
        "name": "John Doe",
        "dob": "25-1X-19XX",
        "age": "30",
        "gender": "Male",
        "pan": "ATPPXXXXXXB",
        "email": "[email protected]",
        "address": [
          {
            "first_line_of_address": "D 123 22A BLOCK D ",
            "second_line_of_address": "NEW DELHI",
            "third_line_of_address": null,
            "city": null,
            "state": "Delhi",
            "postal_code": "1100XX",
            "country_code": "IB",
            "reported_date": ""
          },
    },
    "timestamp": "2024-10-23 15:36:43",
    "ipay_uuid": "h0009d503448-becb-4280-96e9-a97caf1a7e93-QFUQCEKHB3Rv",
    "orderid": "1241023100643TTMGX",
    "environment": "SANDBOX"
}


📘

Consent Text :

I hereby give my consent and submit voluntarily at my own discretion, my Voter ID for the
purpose of establishing my identity on the portal. The Voter ID submitted herewith shall not be used for
any purpose other than mentioned, or as per the requirements of the law.

Body Params
string

User Mobile Number

string

End Customer Latitude.

string

End Customer Longitude.

string

Your Unique Transaction id

string

Consent should be accepted by customer

Headers
string
Defaults to 1

Auth Code

string

Unique Client Id Provided by Instantpay

string

Unique Client Secret Provided by Instantpay

string

End Customer IP Address

Responses

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json